/**
 * Gets unique set of values.
 * @param x an iterable
 * @param fn map function (v, i, x)
 */
function uniqueSet(x, fn = null) {
    if (!fn)
        return new Set(x);
    var s = new Set(), i = -1;
    for (var v of x)
        s.add(fn(v, ++i, x));
    return s;
}
export default uniqueSet;
//# sourceMappingURL=_uniqueSet.js.map